org.springframework.data.domain.jaxb

## Class SpringDataJaxb.PageDto

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel
  - - org.springframework.data.domain.jaxb.SpringDataJaxb.PageDto

Enclosing class:
  SpringDataJaxb

    public static class SpringDataJaxb.PageDto
    extends org.springframework.hateoas.RepresentationModel

The DTO for `Page`.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`PageDto()`

### Method Summary

### Methods inherited from class org.springframework.hateoas.RepresentationModel

`add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageDto

    public PageDto()